/*
 * Copyright: 2007 Axis Communications AB
 *
 * This work is licensed under the terms of the GNU GPL, version 2 or later.
 * See the COPYING file in the top-level directory.
 * 
 * network interface manipulation, with instrumentation.
 * 
 * Authors:	     Edgar E. Iglesias <edgar@axis.com>
 */

#include <net/if.h>

#ifndef IF_RA_MANAGED
#define IF_RA_OTHERCONF   0x80
#define IF_RA_MANAGED     0x40
#define IF_RA_RCVD	  0x20
#endif

extern uint8_t instr_if_hwaddress[6];
extern ssize_t if_hwaddress(int s, unsigned char *buf, size_t buflen,
			    char *ifname, uint16_t *type);

extern int if_mc_bindsocket(int s, char *interface);

extern int instr_if_raflags;
extern int if_get_raflags(char *interface);
