/*
 * Copyright: 2005 Axis Communications AB
 * 
 * This work is licensed under the terms of the GNU GPL, version 2 or later.
 * See the COPYING file in the top-level directory.
 * 
 * Authors:          Edgar E. Iglesias <edgar@axis.com>
 */

#define DHCP6_TIMESCALE 32
#include "dhcpv6.c"

/* Wrapper call to test internal calls.  */
int x_dhcpv6_parse_msg(struct dhcpv6_message_t *reply,
                     unsigned char *buf, size_t buflen,
                     uint32_t expected_id,
                     int expected_type)
{
	return dhcpv6_parse_msg(reply, buf, buflen, expected_id, expected_type);
}
